<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org">
<head>
<meta charset="UTF-8">
<title>ユーザ一覧画面</title>
</head>
<link rel="stylesheet"
href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css"
integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
<body>

<!-- header -->
  <header>
    <nav class="navbar navbar-light sticky-top bg-light flex-md-nowrap p-0">
      <a class="navbar-brand col-sm-3 col-md-2 mr-0" >ユーザ管理システム</a>
      <small id="loginName" class="form-text text-muted">[[${loginUser}]]</small>
      <ul class="navbar-nav px-3">
        <li class="nav-item text-nowrap">
          <form class="form-signout" action="/logout/signout" method ="get">
          <button type="submit" class="btn btn-demger">ログアウト</button>
          </form>
        </li>
      </ul>
    </nav>
  </header>
  <!-- /header -->


 <!-- body -->
<div class="container">
  <!-- 新規登録ボタン -->
    <div class="create-button-area">

      <form method="get" action="/UserCreate/Create" >
      <button type="submit" value="新規登録" class="btn btn-outline-primary btn-lg">新規登録</button>
      </form>

    </div>



    <!-- 検索ボックス -->
    <div class="search-form-area">
      <div class="panel-body">
        <form  class="form-horizontal" th:object="${Listform}"action="/UserList/Search" method="post" >

         <div class="row col-sm-12">
            <label for="loginId">ログインID</label>
              <input type="text" class="form-control" name="loginId"  th:field="*{loginId}"/>
          </div>



          <div class="row col-sm-12">
            <label for="Name">ユーザ名</label>
            <input type="text" class="form-control" name="name" th:field="*{name}"/>
            </div>



          <div class="form-group row">

            <label for="birthDate" class="col-sm-2 col-form-label">生年月日</label>

		   <div class="row col-sm-12">
              <div class="col-sm-12">
                <input type="date" name="startDate" id="startDate" class="form-control" th:field="*{startDate}"/>
              </div>

              <div class="col-sm-12 text-center">
                ~
              </div>
              <div class="col-sm-12">
                <input type="date" name="endDate" id="endDate" class="form-control" th:field="*{endDate}"/>
              </div>
            </div>
          </div>
          <div class="text-right">
            <button type="submit" value="検索" class="btn btn-primary form-submit">検索</button>
          </div>
        </form>
      </div>
     </div>


<!-- 検索結果一覧 -->
    <div class="table-responsive">
             <table class="table table-striped">
               <thead>
                 <tr>
                   <th>ログインID</th>
                   <th>ユーザ名</th>
                   <th>生年月日</th>
                   <th></th>
                 </tr>
               </thead>
               <tbody>

                   <tr th:each = "user:${userlist}">
                     <td th:text="${user.loginId}"/>
                     <td th:text="${user.name}"/>
                     <td th:text="${user.birthDate}"/>
                     <!-- ログインボタンの表示制御を行う -->
                     <td>

                       <a class="btn btn-primary"
                       href="UserDetailController.java" th:href="@{'/UserDetail/Detail?id=' + ${user.id}}" >詳細</a>

                       <a class="btn btn-success"
                       href="UserUpdateController.java" th:href="@{'/UserUpdate/Updateform?id=' + ${user.id}}">更新</a>

                       <a class="btn btn-danger"
                       href="UserDeleteController.java" th:href="@{'/UserDelete/DeleteCheck?id=' + ${user.id}}">削除</a>

                     </td>
                   </tr>

               </tbody>
      </table>
    </div>
    </div>
</body>
</html>
